Bug 249225 - Counter Stike On Wine Crashes
Counter Stike On Wine Crashes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-22 22:55 EDT by Piers Rowan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.6.22.1-41.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 18:08:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piers Rowan 2007-07-22 22:55:02 EDT
Description of problem:

The game freezes. Errors appear in log (see below). States that it is a kernel
error.

Version-Release number of selected component (if applicable):

F7

How reproducible:

Play game. Wait. Crash

Steps to Reproduce:
1. Play Game
2. ?
3. Crash
  
Actual results:

Game hangs, have to SSH in from another machine to kill process

Expected results:

Playing game

Additional info:

Jul 23 11:48:26 mt kernel: ------------[ cut here ]------------
Jul 23 11:48:26 mt kernel: kernel BUG at include/linux/tracehook.h:368!
Jul 23 11:48:26 mt kernel: invalid opcode: 0000 [1] SMP 
Jul 23 11:48:26 mt kernel: last sysfs file: /devices/pci0000:00/0000:00:00.0/irq
Jul 23 11:48:26 mt kernel: CPU 0 
Jul 23 11:48:26 mt kernel: Modules linked in: ipx p8023 ppdev vmnet(P)(U)
vmmon(P)(U) bridge autofs4 hidp rfcomm l2cap bluetooth sunrpc
nf_conntrack_netbios_ns ipt_MASQUERADE iptable_nat nf_nat iptable_mangle
ipt_REJECT nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink iptable_filter
ip_tables xt_tcpudp ip6t_REJECT ip6table_filter ip6_tables x_tables
cpufreq_ondemand ipv6 ext2 dm_mirror dm_multipath dm_mod raid456 xor video sbs
button dock battery ac lp loop snd_ca0106 snd_rawmidi snd_ac97_codec
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
snd_mixer_oss snd_pcm nvidia(P)(U) snd_timer snd soundcore shpchp firewire_ohci
ac97_bus parport_pc i2c_nforce2 snd_page_alloc k8temp floppy hwmon parport
i2c_core tulip rtc_cmos forcedeth firewire_core crc_itu_t sr_mod cdrom sg
sata_nv ata_generic pata_amd libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd
ohci_hcd uhci_hcd
Jul 23 11:48:26 mt kernel: Pid: 14185, comm: hl.exe Tainted: P      
2.6.22.1-27.fc7 #1
Jul 23 11:48:26 mt kernel: RIP: 0010:[<ffffffff810360e8>]  [<ffffffff810360e8>]
release_task+0x36/0x37d
Jul 23 11:48:26 mt kernel: RSP: 0018:ffff81005d0e5d38  EFLAGS: 00010287
Jul 23 11:48:26 mt kernel: RAX: ffff81006f8f3b80 RBX: ffff810064b1f000 RCX:
ffff810002358e20
Jul 23 11:48:26 mt kernel: RDX: 00000000000000c9 RSI: ffffffff81035c3e RDI:
ffff810053a797c8
Jul 23 11:48:26 mt kernel: RBP: ffff810064b1f000 R08: 00000000ffffffff R09:
0000000000000020
Jul 23 11:48:26 mt kernel: R10: 0000000000000000 R11: 0000000000000000 R12:
0000000000000001
Jul 23 11:48:26 mt kernel: R13: 0000000000000000 R14: ffff810053a791b8 R15:
ffff81005d0e5f58
Jul 23 11:48:26 mt kernel: FS:  0000000041401950(0000) GS:ffffffff813ae000(0000)
knlGS:000000007cee5b90
Jul 23 11:48:26 mt kernel: CS:  0010 DS: 002b ES: 002b CR0: 000000008005003b
Jul 23 11:48:26 mt kernel: CR2: 00002aaaac2e3000 CR3: 0000000000201000 CR4:
00000000000006e0
Jul 23 11:48:26 mt kernel: Process hl.exe (pid: 14185, threadinfo
ffff81005d0e4000, task ffff810053a79000)
Jul 23 11:48:26 mt kernel: Stack:  ffff81005d0e5ef8 0000000000000020
ffff810053a79000 0000000000000000
Jul 23 11:48:26 mt kernel:  ffff810037c29000 ffffffff8103767b ffff81005d0e5f58
0000000000000009
Jul 23 11:48:26 mt kernel:  ffff810060d8b380 0000000000000009 0000000000000000
ffff81005d0e5e78
Jul 23 11:48:26 mt kernel: Call Trace:
Jul 23 11:48:26 mt kernel:  [<ffffffff8103767b>] do_exit+0x758/0x7db
Jul 23 11:48:26 mt kernel:  [<ffffffff8103777d>] sys_exit_group+0x0/0xe
Jul 23 11:48:26 mt kernel:  [<ffffffff8103e644>] get_signal_to_deliver+0x3a5/0x3d3
Jul 23 11:48:26 mt kernel:  [<ffffffff81009053>] do_notify_resume+0x9c/0x726
Jul 23 11:48:26 mt kernel:  [<ffffffff81045461>] autoremove_wake_function+0x0/0x2e
Jul 23 11:48:26 mt kernel:  [<ffffffff8103c373>] recalc_sigpending+0xe/0x25
Jul 23 11:48:26 mt kernel:  [<ffffffff8103c428>] sigprocmask+0x9e/0xc0
Jul 23 11:48:26 mt kernel:  [<ffffffff81061cba>] audit_syscall_exit+0x33d/0x35c
Jul 23 11:48:26 mt kernel:  [<ffffffff81009d6f>] int_signal+0x12/0x17
Jul 23 11:48:26 mt kernel: 
Jul 23 11:48:26 mt kernel: 
Jul 23 11:48:26 mt kernel: Code: 0f 0b eb fe 48 83 bd a0 06 00 00 00 74 2c 48 8d
bd b8 06 00 
Jul 23 11:48:26 mt kernel: RIP  [<ffffffff810360e8>] release_task+0x36/0x37d
Jul 23 11:48:26 mt kernel:  RSP <ffff81005d0e5d38>
Jul 23 11:48:26 mt kernel: Fixing recursive fault but reboot is needed!
Jul 23 12:08:41 mt kernel: ------------[ cut here ]------------
Jul 23 12:08:41 mt kernel: kernel BUG at include/linux/tracehook.h:368!
Jul 23 12:08:41 mt kernel: invalid opcode: 0000 [2] SMP 
Jul 23 12:08:41 mt kernel: last sysfs file:
/devices/pci0000:00/0000:00:09.0/0000:01:07.0/irq
Jul 23 12:08:41 mt kernel: CPU 1 
Jul 23 12:08:41 mt kernel: Modules linked in: ipx p8023 ppdev vmnet(P)(U)
vmmon(P)(U) bridge autofs4 hidp rfcomm l2cap bluetooth sunrpc
nf_conntrack_netbios_ns ipt_MASQUERADE iptable_nat nf_nat iptable_mangle
ipt_REJECT nf_conntrack_ipv4 xt_state nf_conntrack nfnetlink iptable_filter
ip_tables xt_tcpudp ip6t_REJECT ip6table_filter ip6_tables x_tables
cpufreq_ondemand ipv6 ext2 dm_mirror dm_multipath dm_mod raid456 xor video sbs
button dock battery ac lp loop snd_ca0106 snd_rawmidi snd_ac97_codec
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
snd_mixer_oss snd_pcm nvidia(P)(U) snd_timer snd soundcore shpchp firewire_ohci
ac97_bus parport_pc i2c_nforce2 snd_page_alloc k8temp floppy hwmon parport
i2c_core tulip rtc_cmos forcedeth firewire_core crc_itu_t sr_mod cdrom sg
sata_nv ata_generic pata_amd libata sd_mod scsi_mod ext3 jbd mbcache ehci_hcd
ohci_hcd uhci_hcd
Jul 23 12:08:41 mt kernel: Pid: 14365, comm: hl.exe Tainted: P      
2.6.22.1-27.fc7 #1
Jul 23 12:08:41 mt kernel: RIP: 0010:[<ffffffff810360e8>]  [<ffffffff810360e8>]
release_task+0x36/0x37d
Jul 23 12:08:41 mt kernel: RSP: 0018:ffff810004573d38  EFLAGS: 00010287
Jul 23 12:08:41 mt kernel: RAX: ffff81006f8f3b80 RBX: ffff81004eb09000 RCX:
ffff810002363e20
Jul 23 12:08:41 mt kernel: RDX: 0000000000000142 RSI: ffffffff81035c3e RDI:
ffff81003a737fc8
Jul 23 12:08:41 mt kernel: RBP: ffff81004eb09000 R08: 00000000ffffffff R09:
0000000000000020
Jul 23 12:08:41 mt kernel: R10: 0000000000000000 R11: 0000000000000000 R12:
0000000000000001
Jul 23 12:08:41 mt kernel: R13: 0000000000000000 R14: ffff81003a7379b8 R15:
ffff810004573f58
Jul 23 12:08:41 mt kernel: FS:  000000007ffac000(0000) GS:ffff810002382280(0000)
knlGS:00000000f7fdb6c0
Jul 23 12:08:41 mt kernel: CS:  0010 DS: 002b ES: 002b CR0: 000000008005003b
Jul 23 12:08:41 mt kernel: CR2: 00002aaaaeb0d000 CR3: 0000000000201000 CR4:
00000000000006e0
Jul 23 12:08:41 mt kernel: Process hl.exe (pid: 14365, threadinfo
ffff810004572000, task ffff81003a737800)
Jul 23 12:08:41 mt kernel: Stack:  ffff810004573ef8 0000000000000020
ffff81003a737800 0000000000000000
Jul 23 12:08:41 mt kernel:  ffff810037c29000 ffffffff8103767b ffff810004573f58
0000000000000009
Jul 23 12:08:41 mt kernel:  ffff81005dcf2000 0000000000000009 0000000000000000
ffff810004573e78
Jul 23 12:08:41 mt kernel: Call Trace:
Jul 23 12:08:41 mt kernel:  [<ffffffff8103767b>] do_exit+0x758/0x7db
Jul 23 12:08:41 mt kernel:  [<ffffffff8103777d>] sys_exit_group+0x0/0xe
Jul 23 12:08:41 mt kernel:  [<ffffffff8103e644>] get_signal_to_deliver+0x3a5/0x3d3
Jul 23 12:08:41 mt kernel:  [<ffffffff81009053>] do_notify_resume+0x9c/0x726
Jul 23 12:08:41 mt kernel:  [<ffffffff81045461>] autoremove_wake_function+0x0/0x2e
Jul 23 12:08:41 mt kernel:  [<ffffffff8103c373>] recalc_sigpending+0xe/0x25
Jul 23 12:08:41 mt kernel:  [<ffffffff8103c428>] sigprocmask+0x9e/0xc0
Jul 23 12:08:41 mt kernel:  [<ffffffff81061cba>] audit_syscall_exit+0x33d/0x35c
Jul 23 12:08:41 mt kernel:  [<ffffffff81009d6f>] int_signal+0x12/0x17
Jul 23 12:08:41 mt kernel: 
Jul 23 12:08:41 mt kernel: 
Jul 23 12:08:41 mt kernel: Code: 0f 0b eb fe 48 83 bd a0 06 00 00 00 74 2c 48 8d
bd b8 06 00 
Jul 23 12:08:41 mt kernel: RIP  [<ffffffff810360e8>] release_task+0x36/0x37d
Jul 23 12:08:41 mt kernel:  RSP <ffff810004573d38>
Jul 23 12:08:41 mt kernel: Fixing recursive fault but reboot is needed!
Comment 1 Chuck Ebbert 2007-07-23 12:54:42 EDT
Fix is in CVS, should be in the next release.
Comment 2 Chuck Ebbert 2007-08-10 18:08:25 EDT
Should be fixed in 2.6.22.1-41, closing.

Note You need to log in before you can comment on or make changes to this bug.